﻿@model eCommerce.Services.Model.ROLE
@{
    ViewBag.Title = "Roles";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Roles</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example-wrap">
                    @using (Html.BeginForm("RoleUpdate", "Operators", FormMethod.Post, new { @class = "form-horizontal" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="RoleName" value="@Model.RoleName" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descripción</label>
                            <div class="col-sm-9">
                                <textarea class="form-control" name="RoleDescription">@Model.RoleDescription</textarea>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '../Roles'">Cancelar</button>
                            @Html.HiddenFor(model => model.Role_Id)
                            @Html.HiddenFor(model => model.IsSysAdmin)
                        </div>
                    
                        @*<div class="col-lg-12">
                            <div class="example">
                                <h4 class="example-title">Listado de Permisos</h4>
                                <div class="example-body">
                                    <p>Asigne el conjunto de permisos asociados al Rol seleccionandolos del siguiente listado.</p>
                                    <table class="table table-bordered table-hover">
                                        <colgroup>
                                            <col class="col-xs-1">
                                            <col class="col-xs-7">
                                        </colgroup>
                                        <thead>
                                            <tr>
                                                <th class="text-nowrap">Asignar (Sí / No)</th>
                                                <th>Descripción del Permiso</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="text-nowrap">
                                                    <center>
                                                        <input type="checkbox" class="js-switch-small" data-plugin="switchery" data-size="small" checked="" data-switchery="true" style="display: none;">
                                                    </center>
                                                </td>
                                                <td>Modulo de Usuarios</td>
                                            </tr>
                                            <tr>
                                                <td class="text-nowrap">
                                                    <center>
                                                        <input type="checkbox" class="js-switch-small" data-plugin="switchery" data-size="small" checked="" data-switchery="true" style="display: none;">
                                                    </center>
                                                </td>
                                                <td>Módulo de Compras.</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>*@
                    }

                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '.btn-success',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    RoleName: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    RoleDescription: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Descripción es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

